<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Housing Evaluator</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:200,300,400,600,700,800,900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="/static/css/open-iconic-bootstrap.min.css">
    <link rel="stylesheet" href="/static/css/animate.css">

    <link rel="stylesheet" href="/static/css/owl.carousel.min.css">
    <link rel="stylesheet" href="/static/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="/static/css/magnific-popup.css">

    <link rel="stylesheet" href="/static/css/aos.css">

    <link rel="stylesheet" href="/static/css/ionicons.min.css">

    <link rel="stylesheet" href="/static/css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="/static/css/jquery.timepicker.css">


    <link rel="stylesheet" href="/static/css/flaticon.css">
    <link rel="stylesheet" href="/static/css/icomoon.css">
    <link rel="stylesheet" href="/static/css/style.css">
  </head>
  <body>

	  <nav class="navbar navbar-expand-lg navbar-dark ftco_navbar bg-dark ftco-navbar-light" id="ftco-navbar">
	    <div class="container">
	      <a class="navbar-brand" href="index.html">Housing Evaluator</a>
	      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#ftco-nav" aria-controls="ftco-nav" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="oi oi-menu"></span> Menu
	      </button>

	      <div class="collapse navbar-collapse" id="ftco-nav">
	        <ul class="navbar-nav ml-auto">
	          <li class="nav-item active"><a href="index.html" class="nav-link">Home</a></li>
          </ul>
	      </div>
	    </div>
	  </nav>
    <!-- END nav -->

    <div class="hero-wrap ftco-degree-bg" style="background-image: url('/static/images/bg_1.jpg');" data-stellar-background-ratio="0.5">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text justify-content-center align-items-center">
          <div class="col-lg-8 col-md-6 ftco-animate d-flex align-items-end">
          	<div class="text text-center">

	            <h1 class="mb-4">Intelligent Property Evaluation</h1>
              <h2>for Buyers and Sellers</h2>


            </div>
          </div>
        </div>
      </div>
      <div class="mouse">
				<a href="#" class="mouse-icon">
					<div class="mouse-wheel"><span class="ion-ios-arrow-round-down"></span></div>
				</a>
			</div>
    </div>

    <section class="ftco-section ftco-no-pb"  id = "sales_form">
      <div class="container">
      	<div class="row justify-content-center">
          <div class="col-md-12 heading-section text-center ftco-animate mb-5">
          	<span class="subheading">Services</span>
            <h2 class="mb-2">Evaluate Your Property Today</h2>
          </div>
        </div>
        <div class="row d-flex">
          <div class="col-md-3 d-flex align-self-stretch ftco-animate">
            <div class="media block-6 services d-block text-center">
            	<div class="icon d-flex justify-content-center align-items-center"><span class="flaticon-piggy-bank"></span></div>
              <div class="media-body py-md-4">
                <h3>Evaluate Selling Price</h3>


                <form action="http://127.0.0.1:5000/sales_prediction" method = "post">
                    <div class="form-field">
                  <select class="form-control" name="House Type" id= "house_type">
                      <option value="Detached House">Detached House</option>
                      <option value="Bungalow for sale">Bungalow</option>
                      <option value="Semi-Detached House">Semi-Detached House</option>
                      <option value="Apartment for sale">Apartment</option>
                      <option value="End of Terrace House">End of Terrace House</option>
                      <option value="Townhouse">Townhouse</option>
                      <option value="Studio apartment for sale">Studio apartment</option>

                  </select>




                  <select class="form-control" name="Area" id= "house_area_name">
                     <option value="Co. Dublin">Co. Dublin</option>
                      <option value="Dublin 1">Dublin 1</option>
                      <option value="Dublin 2">Dublin 2</option>
                      <option value="Dublin 3">Dublin 3</option>
                      <option value="Dublin 4">Dublin 4</option>
                      <option value="Dublin 5">Dublin 5</option>
                      <option value="Dublin 6">Dublin 6</option>
                      <option value="Dublin 7">Dublin 7</option>
                      <option value="Dublin 8">Dublin 8</option>
                      <option value="Dublin 9">Dublin 9</option>
                      <option value="Dublin 10">Dublin 10</option>
                      <option value="Dublin 12">Dublin 12</option>
                      <option value="Dublin 13">Dublin 13</option>
                      <option value="Dublin 14">Dublin 14</option>
                      <option value="Dublin 15">Dublin 15</option>
                      <option value="Dublin 16">Dublin 16</option>
                      <option value="Dublin 17">Dublin 17</option>
                      <option value="Dublin 18">Dublin 18</option>
                      <option value="Dublin 19">Dublin 19</option>
                      <option value="Dublin 20">Dublin 20</option>
                      <option value="Dublin 21">Dublin 21</option>
                      <option value="Dublin 22">Dublin 22</option>
                      <option value="Dublin 23">Dublin 23</option>
                      <option value="Dublin 24">Dublin 24</option>
                     <option value="Dublin 25">Dublin 25</option>

                  </select>
                  <input type="text" class="form-control" name="Town" placeholder="Town" id = house_town_name>
                  <input type="text" class="form-control" name = "Number of Bedrooms" placeholder="Number of Bedrooms" id = no_bedrooms>
                  <input type="text" class="form-control" name="Number of Washrooms" placeholder="Number of Washrooms" id = "no_washrooms">



                </div>
                <br>
                <input type="submit" value="Estimate" class="btn btn-info" name = "sales_button"></input>
                </form>

              </div>
            </div>
          </div>
          <div class="col-md-3 d-flex align-self-stretch ftco-animate">
            <div class="media block-6 services d-block text-center">
            	<div class="icon d-flex justify-content-center align-items-center"><span class="flaticon-wallet"></span></div>
              <div class="media-body py-md-4">
                <h3>Estimate Rent</h3>
                <form action="http://127.0.0.1:5000/rental_prediction" method = "post">
                  <div class="form-field">
                  <select class="form-control" name="House Type" id= "house_type_r">
                      <option value="House to Rent">House</option>
                      <option value="Apartment to Rent">Apartment</option>
                      <option value="Flat to Rent">Flat</option>


                  </select>




                  <select class="form-control" name="Area" id= "house_area_name_r">
                     <option value="Co. Dublin">Co. Dublin</option>
                      <option value="Dublin 1">Dublin 1</option>
                      <option value="Dublin 2">Dublin 2</option>
                      <option value="Dublin 3">Dublin 3</option>
                      <option value="Dublin 4">Dublin 4</option>
                      <option value="Dublin 5">Dublin 5</option>
                      <option value="Dublin 6">Dublin 6</option>
                      <option value="Dublin 7">Dublin 7</option>
                      <option value="Dublin 8">Dublin 8</option>
                      <option value="Dublin 9">Dublin 9</option>
                      <option value="Dublin 10">Dublin 10</option>
                      <option value="Dublin 12">Dublin 12</option>
                      <option value="Dublin 13">Dublin 13</option>
                      <option value="Dublin 14">Dublin 14</option>
                      <option value="Dublin 15">Dublin 15</option>
                      <option value="Dublin 16">Dublin 16</option>
                      <option value="Dublin 17">Dublin 17</option>
                      <option value="Dublin 18">Dublin 18</option>
                      <option value="Dublin 19">Dublin 19</option>
                      <option value="Dublin 20">Dublin 20</option>
                      <option value="Dublin 21">Dublin 21</option>
                      <option value="Dublin 22">Dublin 22</option>
                      <option value="Dublin 23">Dublin 23</option>
                      <option value="Dublin 24">Dublin 24</option>
                     <option value="Dublin 25">Dublin 25</option>

                  </select>
                  <input type="text" class="form-control" name ="Number of Bedrooms" placeholder="Number of Bedrooms" id = no_bedrooms_r>
                  <input type="text" class="form-control" name="Number of Washrooms" placeholder="Number of Washrooms" id = "no_washrooms_r">
                  <br>
                  <input type="submit" value="Estimate" class="btn btn-info" name = "rental_button"></input>


                </div>
                </form>
                </div>
            </div>
          </div>
          <div class="col-md-3 d-flex align-self-stretch ftco-animate">
            <div class="media block-6 services d-block text-center">
            	<div class="icon d-flex justify-content-center align-items-center"><span class="flaticon-file"></span></div>
              <div class="media-body py-md-4">
                <h3>Evaluation</h3>

                {%if evaluation_tag=="Error: Missing values found.."%}
                <h5>{{evaluation_tag}}</h5>

                {%elif evaluation_tag%}
                <h5>Estimated {{evaluation_tag}} Price:<h5>
                  <h4><b>{{"{:,.2f}".format(data)}} Euros</b></h4>
                <h5>Expected Views:</h5>
                <h4>{{views}}</h4>
                {%else%}

                <h5>View your estimates here</h5>

                {%endif%}

              </div>
            </div>
          </div>
          <div class="col-md-3 d-flex align-self-stretch ftco-animate">
            <div class="media block-6 services d-block text-center">
            	<div class="icon d-flex justify-content-center align-items-center"><span class="icon-cogs"></span></div>
              <div class="media-body py-md-4">
                <h3>Developer Tools</h3>
                <form action="#">
                  <input type="submit" value="Fetch New Sales Data" class="btn btn-info" name = "fetch_sales_data"></input>
                </form>
                <br>
                <form action="#">
                  <input type="submit" value="Fetch New Rental Data" class="btn btn-info" name = "fetch_rental_data"></input>
                </form>
                <br>
                <form action="http://127.0.0.1:5000/sales_prediction" method = "post">
                  <input type="submit" value="Train Sales Model" class="btn btn-info" name = "sales_button"></input>
                </form>
                <br>
                <form action="http://127.0.0.1:5000/rental_prediction" method = "post">
                  <input type="submit" value="Train Rental Model" class="btn btn-info" name = "rental_button"></input>
                </form>
              </div>
            </div>
          </div>

        </div>
      </div>
    </section>







    <footer class="ftco-footer ftco-section">
      <div class="container">

        <div class="row">
          <div class="col-md-12 text-center">

            <p><!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
  Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved
  <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. --></p>
          </div>
        </div>
      </div>
    </footer>



  <!-- loader -->
  <div id="ftco-loader" class="show fullscreen"><svg class="circular" width="48px" height="48px"><circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/><circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10" stroke="#F96D00"/></svg></div>



  <script src="/static/js/jquery.min.js"></script>
  <script src="/static/js/jquery-migrate-3.0.1.min.js"></script>
  <script src="/static/js/popper.min.js"></script>
  <script src="/static/js/bootstrap.min.js"></script>
  <script src="/static/js/jquery.easing.1.3.js"></script>
  <script src="/static/js/jquery.waypoints.min.js"></script>
  <script src="/static/js/jquery.stellar.min.js"></script>
  <script src="/static/js/owl.carousel.min.js"></script>
  <script src="/static/js/jquery.magnific-popup.min.js"></script>
  <script src="/static/js/aos.js"></script>
  <script src="/static/js/jquery.animateNumber.min.js"></script>
  <script src="/static/js/bootstrap-datepicker.js"></script>
  <script src="/static/js/jquery.timepicker.min.js"></script>
  <script src="/static/js/scrollax.min.js"></script>
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBVWaKrjvy3MaE7SQ74_uJiULgl1JY0H2s&sensor=false"></script>
  <script src="/static/js/google-map.js"></script>
  <script src="/static/js/main.js"></script>

  <script>

         $('html, body').animate({
            scrollTop: $("#sales_form").offset().top
         }, 2500);

         window.setTimeout(function(){
             $('#form').hide().next('#success').show();
         }, 1500);

    </script>

  </body>
</html>
